[arch-commits] Commit in flatpak/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Jan Steffens heftig at archlinux.org
Thu Dec 21 14:53:25 UTC 2017


    Date: Thursday, December 21, 2017 @ 14:53:24
  Author: heftig
Revision: 313487

archrelease: copy trunk to extra-x86_64

Added:
  flatpak/repos/extra-x86_64/PKGBUILD
    (from rev 313486, flatpak/trunk/PKGBUILD)
Deleted:
  flatpak/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |  172 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 86 insertions(+), 86 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-12-21 14:52:26 UTC (rev 313486)
+++ PKGBUILD	2017-12-21 14:53:24 UTC (rev 313487)
@@ -1,86 +0,0 @@
-# $Id$
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-
-pkgname=flatpak
-pkgver=0.10.2
-pkgrel=1
-pkgdesc="Linux application sandboxing and distribution framework (formerly xdg-app)"
-url="http://flatpak.org"
-arch=(x86_64)
-license=(LGPL2.1)
-depends=(dbus systemd glib2 libsoup polkit libxau ostree fuse json-glib libseccomp libarchive
-         python bubblewrap appstream-glib)
-makedepends=(intltool gobject-introspection gtk-doc git docbook-xsl xmlto)
-checkdepends=(valgrind)
-_commit=648f74b324db7df7c29b2c1b96c0482c6689b633  # tags/0.10.2^0
-source=("git+https://github.com/flatpak/flatpak#commit=$_commit"
-        "git+https://github.com/projectatomic/bubblewrap"
-        "git+https://git.gnome.org/browse/libglnx")
-sha256sums=('SKIP'
-            'SKIP'
-            'SKIP')
-
-prepare() {
-  cd $pkgname
-
-  git submodule init
-  git config --local submodule.bubblewrap.url "$srcdir/bubblewrap"
-  git config --local submodule.libglnx.url "$srcdir/libglnx"
-  git submodule update
-
-  # https://github.com/flatpak/flatpak/issues/267
-  sed -i '/locale\/C\./d' tests/make-test-runtime.sh
-
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
-
-build() {
-  cd $pkgname
-
-  ./configure \
-    --prefix=/usr \
-    --sysconfdir=/etc \
-    --localstatedir=/var \
-    --sbindir=/usr/bin \
-    --libexecdir=/usr/lib/$pkgname \
-    --disable-static \
-    --enable-gtk-doc \
-    --enable-p2p \
-    --with-system-bubblewrap \
-    --with-priv-mode=setuid \
-    --with-dbus-config-dir=/usr/share/dbus-1/system.d
-
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  cd $pkgname
-  # Xattr tests fail on tmpfs
-  make -k check || :
-}
-
-package() {
-  depends+=(xdg-desktop-portal)
-
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
-
-  install -Dm644 /dev/stdin "$pkgdir/etc/profile.d/flatpak-bindir.sh" <<END
-if [ -d "\$HOME" ] && [ -d "\$HOME/.local/share/flatpak/exports/bin" ]; then
-  PATH="\$PATH:\$HOME/.local/share/flatpak/exports/bin"
-fi
-if [ -d /var/lib/flatpak/exports/bin ]; then
-  PATH="\$PATH:/var/lib/flatpak/exports/bin"
-fi
-END
-
-  # Fixup mode to match polkit
-  install -d -o root -g 102 -m 750 "$pkgdir/usr/share/polkit-1/rules.d"
-}

Copied: flatpak/repos/extra-x86_64/PKGBUILD (from rev 313486, flatpak/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-12-21 14:53:24 UTC (rev 313487)
@@ -0,0 +1,86 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgname=flatpak
+pkgver=0.10.2.1
+pkgrel=1
+pkgdesc="Linux application sandboxing and distribution framework (formerly xdg-app)"
+url="http://flatpak.org"
+arch=(x86_64)
+license=(LGPL2.1)
+depends=(dbus systemd glib2 libsoup polkit libxau ostree fuse json-glib libseccomp libarchive
+         python bubblewrap appstream-glib)
+makedepends=(intltool gobject-introspection gtk-doc git docbook-xsl xmlto)
+checkdepends=(valgrind)
+_commit=35c9eafc9e10f054872c549a1200450026f36b6b  # tags/0.10.2.1^0
+source=("git+https://github.com/flatpak/flatpak#commit=$_commit"
+        "git+https://github.com/projectatomic/bubblewrap"
+        "git+https://git.gnome.org/browse/libglnx")
+sha256sums=('SKIP'
+            'SKIP'
+            'SKIP')
+
+prepare() {
+  cd $pkgname
+
+  git submodule init
+  git config --local submodule.bubblewrap.url "$srcdir/bubblewrap"
+  git config --local submodule.libglnx.url "$srcdir/libglnx"
+  git submodule update
+
+  # https://github.com/flatpak/flatpak/issues/267
+  sed -i '/locale\/C\./d' tests/make-test-runtime.sh
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+build() {
+  cd $pkgname
+
+  ./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --sbindir=/usr/bin \
+    --libexecdir=/usr/lib/$pkgname \
+    --disable-static \
+    --enable-gtk-doc \
+    --enable-p2p \
+    --with-system-bubblewrap \
+    --with-priv-mode=setuid \
+    --with-dbus-config-dir=/usr/share/dbus-1/system.d
+
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname
+  # Xattr tests fail on tmpfs
+  make -k check || :
+}
+
+package() {
+  depends+=(xdg-desktop-portal)
+
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+
+  install -Dm644 /dev/stdin "$pkgdir/etc/profile.d/flatpak-bindir.sh" <<END
+if [ -d "\$HOME" ] && [ -d "\$HOME/.local/share/flatpak/exports/bin" ]; then
+  PATH="\$PATH:\$HOME/.local/share/flatpak/exports/bin"
+fi
+if [ -d /var/lib/flatpak/exports/bin ]; then
+  PATH="\$PATH:/var/lib/flatpak/exports/bin"
+fi
+END
+
+  # Fixup mode to match polkit
+  install -d -o root -g 102 -m 750 "$pkgdir/usr/share/polkit-1/rules.d"
+}



More information about the arch-commits mailing list